Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Data Fields
zstream Struct Reference

## Data Structures
struct | zstream_funcs

## Data Fields
unsigned long | flags
VALUE | buf
VALUE | input
z_stream | stream
const struct zstream::zstream_funcs * | func

## Detailed Description

Definition at line 529 of file zlib.c.

## Field Documentation

## ◆ buf

VALUE zstream::buf

Definition at line 531 of file zlib.c.

## ◆ flags

unsigned long zstream::flags

Definition at line 530 of file zlib.c.

## ◆ func

const struct zstream::zstream_funcs * zstream::func

## ◆ input

VALUE zstream::input

Definition at line 532 of file zlib.c.

## ◆ stream

z_stream zstream::stream

Definition at line 533 of file zlib.c.

The documentation for this struct was generated from the following file:

- ext/zlib/zlib.c